clang 10.0.0git

Namespaces | Macros | Functions | Variables
BreakableToken.cpp File Reference

Contains implementation of BreakableToken class and classes derived from it. More...

`#include "BreakableToken.h"`
`#include "ContinuationIndenter.h"`
`#include "clang/Basic/CharInfo.h"`
`#include "clang/Format/Format.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/Support/Debug.h"`
`#include <algorithm>`
Include dependency graph for BreakableToken.cpp:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::format

## Macros
#define | DEBUG_TYPE "format-token-breaker"

## Functions
static bool | clang::format::IsBlank (char C)
static StringRef | clang::format::getLineCommentIndentPrefix (StringRef Comment, const FormatStyle &Style)
static BreakableToken::Split | clang::format::getCommentSplit (StringRef Text, unsigned ContentStartColumn, unsigned ColumnLimit, unsigned TabWidth, encoding::Encoding Encoding, const FormatStyle &Style, bool DecorationEndsWithStar=false)
static BreakableToken::Split | clang::format::getStringSplit (StringRef Text, unsigned UsedColumns, unsigned ColumnLimit, unsigned TabWidth, encoding::Encoding Encoding)
bool | clang::format::switchesFormatting (const FormatToken &Token)
| Checks if `Token` switches formatting, like /* clang-format off. More...
static bool | clang::format::mayReflowContent (StringRef Content)

## Variables
static const char *const | clang::format::Blanks = " \t\v\f\r"

## Detailed Description

Contains implementation of BreakableToken class and classes derived from it.

Definition in file BreakableToken.cpp.

## Macro Definition Documentation

## ◆ DEBUG_TYPE

#define DEBUG_TYPE "format-token-breaker"

Definition at line 23 of file BreakableToken.cpp.